Version taken as

   1:$(cat VERSION)

Man page created by manually editing output of this:

	help2man ./fossil \
	 --help-option=help --version-option=version \
	 --no-info \
	 --name='Distributed Version Control System' \
	 --source=http://fossil-scm.org \
	  | egrep -v '^This is fossil version' \
	  | sed s'/^This \\-/Fossil \\-/' \
	  | sed s'/ THIS / FOSSIL /' \
	  > debian/fossil.1

The debianized sources are tracked in fossil, of course.


Brief "cheat sheet" of relevant fossil commands.

 ## FOR NEW UPSTREAM RELEASE

 # fetch & merge new upstream release
 uscan --rename
 VER=1:xxx
 DEBVER=1
 mv ../fossil_*.orig.tar.gz ../fossil_${VER}.orig.tar.gz
 fossil pull http://www.fossil-scm.org
 ID=fossil-commit-id	# find via: fossil timeline -t ci -n 400 | more
			# then search for "release"
 fossil tag add upstream_${VER} ${ID}
 fossil merge upstream_${VER}
 fossil commit -m "merge upstream_${VER}"
 debchange --newversion=${VER}-${DEBVER} New upstream version
 fossil commit -m 'update debian/changelog'

 # build debian release
 dpkg-buildpackage -i.fslckout

 # tag debian release
 fossil tag add debian_${VER}-${DEBVER} debian

 # push/pull to/from debian repository (modify URL if necessary)
 fossil sync ssh://people.debian.org/~bap/public_html/fossil.fsl

 ## TO START DEVELOPMENT

 # create local repository by cloning mine
 #  (I would have made a repo on chiselapp.com but never managed to
 #  get it to work for me on a repo of this size.)
 wget http://people.debian.org/~bap/fossil.fsl

 # make a working checkout
 mkdir fossil
 cd fossil
 fossil open ../fossil.fsl
 fossil co debian
 fossil user password ${USER} ${PWD}
 fossil set manifest on		# needed as of approx ver 2010.11.11.133638

 ## MISC

 # pull/view upstream development
 fossil pull http://www.fossil-scm.org/
 fossil timeline -t ci -n 40

 # create upstream tarball (not needed if using upstream release tarball)
 fossil co trunk
 tar --exclude .fslckout -C .. -zcf fossil_${VER}.orig.tar.gz fossil

 # less recently created checkouts may have _FOSSIL_ instead of
 # .fslckout, edit any commands mentioning this file appropriately.

 -- Barak A. Pearlmutter <bap@debian.org>, Sat, 21 Jun 2014 19:50:01 +0200
